package Ensembl.artemis;
public class FeatureDefinitionHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"FeatureDefinition",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("key",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("qualifiers",org.omg.CORBA.ORB.init().create_alias_tc( id(),"QualifierDefinitionList",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_string_tc(0))),null)});
	public FeatureDefinitionHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, Ensembl.artemis.FeatureDefinition s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static Ensembl.artemis.FeatureDefinition extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:Ensembl/artemis/FeatureDefinition:1.0";
	}
	public static Ensembl.artemis.FeatureDefinition read(org.omg.CORBA.portable.InputStream in)
	{
		Ensembl.artemis.FeatureDefinition result = new Ensembl.artemis.FeatureDefinition();
		result.key=in.read_string();
		result.qualifiers = Ensembl.artemis.QualifierDefinitionListHelper.read(in);
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, Ensembl.artemis.FeatureDefinition s)
	{
out.write_string(s.key);
Ensembl.artemis.QualifierDefinitionListHelper.write(out,s.qualifiers);
	}
}
